Subject: [PATCH] USB: ohci-at91: fix null pointer in ohci_hcd_at91_overcurrent_irq

From: [email-masked] (Greg KH)
Date: Tue, 25 Sep 2012 06:40:50 -0700

On Tue, Sep 25, 2012 at 11:48:43AM +0200, Nicolas Ferre wrote:
> On 09/24/2012 07:34 PM, Greg KH :
> > On Mon, Sep 24, 2012 at 09:44:31AM +0200, Nicolas Ferre wrote:
> >>> This patches fixed the issue by adding the gpio valid check.
> >>>
> >>> Signed-off-by: Joachim Eastwood <[email-masked]>
> >>
> >> Acked-by: Nicolas Ferre <[email-masked]>
> >>
> >> Thanks a *lot* Joachim for having chased this bug!
> >>
> >> Alan, Greg, this one is 3.6 last minute material... I Hope that it can
> >> make it!
> >>
> >>> ---
> >>>
> >>> Note: If 6fffb77c goes into stable please either include this patch also or
> >>> fold it into 6fffb77c to avoid regressions.
> >>
> >> Absolutely, I have tagged the faulty patch:
> >>     Cc: Stable <[email-masked]> [3.4+]
> >>
> >> So it can be good if this one can follow the same path.
> > 
> > I'll queue this up for 3.7 and have it backported to 3.6.1 as it's a bit
> > late for 3.6 for me right now.
> 
> Ah, too bad! The kernel Oops may affect several AT91 SoC... Can't we
> push it with the help of Andrew Morton for late material?

3.6.1 is really too late for you?  What does one week buy you?

greg k-h